#ifndef _PEER_H_
#define _PEER_H_

/** store "somewhere" the peer at IP address addr */
struct dtls_peer* addpeer(struct dtls_peer* p, const struct sockaddr* addr);

/** returns the data associated to the peer of address addr,
    which must have been previously stored using addpeer (else,
    it returns NULL */
struct dtls_peer* getpeer(const struct sockaddr* addr, int addrlen);

#endif
