#ifndef _DTLSPLEX_H_
#define _DTLSPLEX_H_

#include <openssl/bio.h>
#include <openssl/ssl.h>

#define MTU 1500
ssize_t dtlsrecvfrom(int s, void *buf, size_t len, int flags,
		     struct sockaddr *from, socklen_t *fromlen);
ssize_t dtlssendto(int s, const void *msg, size_t len, int flags,
		   const struct sockaddr *to, socklen_t tolen);

struct dtls_peer {
	struct sockaddr_storage addr;
	BIO* bio;
	BIO* _b2;
	SSL* ssl;
};

#endif /* ! _DTLSPLEX_H_ */
